#ifndef CONFIG_FETCHING_H
#define CONFIG_FETCHING_H

typedef enum
{
    CONFIG_FETCHING_MORE_LINES,
    CONFIG_FETCHING_NO_MORE_LINES,
    CONFIG_FETCHING_IS_COMMENT,
    CONFIG_FETCHING_IS_CONFIG,
    CONFIG_FETCHING_UNFOUND_VALUE,
    CONFIG_FETCHING_UNKNOWN_KEY,
    CONFIG_FETCHING_UNKNOWN_VALUE,
    CONFIG_FETCHING_VALUE_OUT_OF_RANGE,
    CONFIG_FETCHING_SUCCESS
} ConfigFetching;

#endif